xquery version "3.1";

declare namespace sm="http://exist-db.org/xquery/securitymanager";
import module namespace xdb="http://exist-db.org/xquery/xmldb";

(: path to the directory containing the unpacked .xar package :)
declare variable $dir external;
(: the target collection into which the app is deployed :)
declare variable $target external;
declare variable $name := tokenize($target, "/")[last()];


if (repo:get-resource("http://bdn-edition.de/ns/bdn", "repo.xml") => exists())
then util:log("info", "Package successfully deployed.")
else util:log("error", "Package not successfully deployed."),
util:log("info", $dir),
xdb:store-files-from-pattern(concat("/db/system/config", "/db/data/", $name), $dir, "**/collection.xconf", "text/xml", true())
